/*
     $Revision$
     $Id$
*/

function functie_reload (json)
{
    FcltMgr.reload({ appendurl: "scf_highlight=" + json.functie_key});
}

function edit_rechten(row)
{
    var functie_key = row.getAttribute("ROWKEY");
    var funData = eval("(" + row.getAttribute("ROWDATA") + ")");

    if (window.groep_key > 0 && funData.funcdisc && disc_key < 0) // naar het overzicht per discipline
    {
        var url = "appl/mgt/ins_tab_discipline.asp?fac_groep=" + window.groep_key + "&fac_functie=" + functie_key;
        FcltMgr.openDetail(url, { reuse: true });
    }
    else if (window.groep_key > 0)
    {
        $("#fac_functie tbody tr").removeClass("updated editing");
        $(row).addClass('editing');
        var url = "fac_edit_groeprechten.asp?fac_groep={0}&fac_functie={1}".format(window.groep_key, functie_key);
        FcltMgr.openModalDetail(url, L("fac_groeprechten"), { callback: functie_reload });
    }
    else // eerst nog een groep erbij kiezen
    {
        var url = "appl/mgt/fac_groep.asp?fac_functie=" + functie_key + "&ins_discipline=" + window.disc_key;
        FcltMgr.openDetail(url, { reuse: true });
    }
}